Bug 228845 - net/py-python-openstackclient: update to 3.14.2
Summary: net/py-python-openstackclient: update to 3.14.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on: 228688 228689 228690 228691 228696 228701
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-09 18:27 UTC by Kai Knoblich
Modified: 2018-07-10 09:22 UTC (History)
3 users (show)

See Also:
alexander.nusov: maintainer-feedback+


Attachments
py-python-openstackclient-3.14.2.patch (4.46 KB, patch)
2018-06-09 18:27 UTC, Kai Knoblich
no flags Details | Diff
py-python-openstackclient-3.14.2-v2.patch (4.41 KB, patch)
2018-06-22 14:17 UTC, Kai Knoblich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2018-06-09 18:27:56 UTC
Created attachment 194111 [details]
py-python-openstackclient-3.14.2.patch

Hello,

attached is the patch that updates py-python-openstackclient to 3.14.2

Changes by upstream:
- https://docs.openstack.org/releasenotes/python-openstackclient/queens.html

Changes to the port:
- added LICENSE_FILE
- changed BUILD_DEPENDS and RUN_DEPENDS to reflect the new dependencies
- updated WWW
- reformatted pkg-descr

QA:
~~~
- poudriere (11.1-RELEASE amd64 + i386) for each py27 + py36 flavor -> OK
- portlint -> OK


Note:
There's already a newer version at PyPI available but v2.10.0 is the latest supported release for the Queens-Release Series. (see also: https://releases.openstack.org/queens/index.html#queens-python-openstackclient)
Before this port can be committed, following ports must be updated first:
- net/py-python-cinderclient (see PR #228690: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228690)
- net/py-python-glanceclient (see PR #228691: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228691)
- net/py-python-neutronclient (see PR #228701: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228701)
- devel/py-openstacksdk (see PR #228689: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228689)
- devel/py-osc-lib (see PR #228696: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228696)
- devel/py-cliff (see PR #228688: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228688)
Comment 1 Kai Knoblich freebsd_committer 2018-06-22 14:17:34 UTC
Created attachment 194493 [details]
py-python-openstackclient-3.14.2-v2.patch

Rebased patch after r472884
Comment 2 commit-hook freebsd_committer 2018-07-10 09:20:35 UTC
A commit references this bug:

Author: miwi
Date: Tue Jul 10 09:19:57 UTC 2018
New revision: 474342
URL: https://svnweb.freebsd.org/changeset/ports/474342

Log:
  - Update to 3.14.2
  - Added LICENSE_FILE
  - Changed BUILD_DEPENDS and RUN_DEPENDS to reflect the new dependencies
  - Updated WWW
  - Reformatted pkg-descr

  PR:		228845
  Submitted by:	freebsd_ports@k-worx.org
  Approved by:	maintainer
  Sponsored by:	iXsystems Inc.

Changes:
  head/net/py-python-openstackclient/Makefile
  head/net/py-python-openstackclient/distinfo
  head/net/py-python-openstackclient/pkg-descr